<?xml version="1.0" encoding="utf-8"?>

                                                              
                                                   
    
                                                                               
                 
                       
                                                                         
           
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical" android:tag="layout/listitem_repeater_0" xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:focusable="true"
            android:background="?android:attr/selectableItemBackground"
            android:paddingStart="16dp"
            android:paddingEnd="16dp"
            android:tag="binding_1"                >

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:importantForAccessibility="no"
                android:src="@drawable/ic_action_settings_input_antenna"
                android:tint="?android:attr/textColorPrimary"/>

            <Space
                android:layout_width="16dp"
                android:layout_height="0dp"/>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:layout_gravity="center_vertical"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:tag="binding_2"     
                    android:textAppearance="@style/TextAppearance.AppCompat.Subhead"/>

                <hanson.xyz.vpnhotspotmod.widget.AutoCollapseTextView
                    android:id="@+id/addresses"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:tag="binding_3"         
                    android:textIsSelectable="true"
                    tools:text="192.168.43.1/24\n01:23:45:ab:cd:ef"/>
            </LinearLayout>

            <com.google.android.material.materialswitch.MaterialSwitch
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:tag="binding_4"                 
                                                       
                android:clickable="false"
                android:ellipsize="end"
                android:focusable="false"
                android:focusableInTouchMode="false"
                android:gravity="center_vertical"/>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:focusable="true"
            android:background="?android:attr/selectableItemBackground"
            android:padding="16dp"
            android:tag="binding_5"             
                                                                                                             >

            <Space
                android:layout_width="40dp"
                android:layout_height="0dp"/>

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:importantForAccessibility="no"
                android:src="@drawable/ic_action_wifi_protected_setup"
                android:tint="?android:attr/textColorPrimary"/>

            <Space
                android:layout_width="16dp"
                android:layout_height="0dp"/>

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/repeater_wps"
                android:textAppearance="@style/TextAppearance.AppCompat.Subhead"/>

        </LinearLayout>
    </LinearLayout>
         